/*
 * Copyright 2016 Google Inc.
 *
 * Use of this source code is governed by a BSD-style license that can be
 * found in the LICENSE file.
 *
 * Copyright 2023 Rive
 */
#ifndef PNGPREFIX_H
#define PNGPREFIX_H
/*
 * This is necessary to build multiple copies of libpng.  We need this while Skia has its own copy
 * of libpng.
 */
#define png_access_version_number sk_png_access_version_number
#define png_app_error sk_png_app_error
#define png_app_warning sk_png_app_warning
#define png_ascii_from_fixed sk_png_ascii_from_fixed
#define png_ascii_from_fp sk_png_ascii_from_fp
#define png_benign_error sk_png_benign_error
#define png_build_gamma_table sk_png_build_gamma_table
#define png_build_grayscale_palette sk_png_build_grayscale_palette
#define png_calculate_crc sk_png_calculate_crc
#define png_calloc sk_png_calloc
#define png_check_IHDR sk_png_check_IHDR
#define png_check_chunk_length sk_png_check_chunk_length
#define png_check_chunk_name sk_png_check_chunk_name
#define png_check_fp_number sk_png_check_fp_number
#define png_check_fp_string sk_png_check_fp_string
#define png_check_keyword sk_png_check_keyword
#define png_chunk_benign_error sk_png_chunk_benign_error
#define png_chunk_error sk_png_chunk_error
#define png_chunk_report sk_png_chunk_report
#define png_chunk_unknown_handling sk_png_chunk_unknown_handling
#define png_chunk_warning sk_png_chunk_warning
#define png_colorspace_set_ICC sk_png_colorspace_set_ICC
#define png_colorspace_set_chromaticities sk_png_colorspace_set_chromaticities
#define png_colorspace_set_endpoints sk_png_colorspace_set_endpoints
#define png_colorspace_set_gamma sk_png_colorspace_set_gamma
#define png_colorspace_set_rgb_coefficients sk_png_colorspace_set_rgb_coefficients
#define png_colorspace_set_sRGB sk_png_colorspace_set_sRGB
#define png_colorspace_sync sk_png_colorspace_sync
#define png_colorspace_sync_info sk_png_colorspace_sync_info
#define png_combine_row sk_png_combine_row
#define png_compress_IDAT sk_png_compress_IDAT
#define png_convert_from_struct_tm sk_png_convert_from_struct_tm
#define png_convert_from_time_t sk_png_convert_from_time_t
#define png_convert_to_rfc1123 sk_png_convert_to_rfc1123
#define png_convert_to_rfc1123_buffer sk_png_convert_to_rfc1123_buffer
#define png_crc_error sk_png_crc_error
#define png_crc_finish sk_png_crc_finish
#define png_crc_read sk_png_crc_read
#define png_create_info_struct sk_png_create_info_struct
#define png_create_png_struct sk_png_create_png_struct
#define png_create_read_struct sk_png_create_read_struct
#define png_create_read_struct_2 sk_png_create_read_struct_2
#define png_create_write_struct sk_png_create_write_struct
#define png_create_write_struct_2 sk_png_create_write_struct_2
#define png_data_freer sk_png_data_freer
#define png_default_flush sk_png_default_flush
#define png_default_read_data sk_png_default_read_data
#define png_default_write_data sk_png_default_write_data
#define png_destroy_gamma_table sk_png_destroy_gamma_table
#define png_destroy_info_struct sk_png_destroy_info_struct
#define png_destroy_png_struct sk_png_destroy_png_struct
#define png_destroy_read_struct sk_png_destroy_read_struct
#define png_destroy_write_struct sk_png_destroy_write_struct
#define png_do_bgr sk_png_do_bgr
#define png_do_check_palette_indexes sk_png_do_check_palette_indexes
#define png_do_chop sk_png_do_chop
#define png_do_compose sk_png_do_compose
#define png_do_encode_alpha sk_png_do_encode_alpha
#define png_do_expand sk_png_do_expand
#define png_do_expand_16 sk_png_do_expand_16
#define png_do_expand_palette sk_png_do_expand_palette
#define png_do_expand_palette_neon_rgb sk_png_do_expand_palette_neon_rgb
#define png_do_expand_palette_neon_rgba sk_png_do_expand_palette_neon_rgba
#define png_do_gamma sk_png_do_gamma
#define png_do_gray_to_rgb sk_png_do_gray_to_rgb
#define png_do_invert sk_png_do_invert
#define png_do_pack sk_png_do_pack
#define png_do_packswap sk_png_do_packswap
#define png_do_quantize sk_png_do_quantize
#define png_do_read_filler sk_png_do_read_filler
#define png_do_read_interlace sk_png_do_read_interlace
#define png_do_read_intrapixel sk_png_do_read_intrapixel
#define png_do_read_invert_alpha sk_png_do_read_invert_alpha
#define png_do_read_swap_alpha sk_png_do_read_swap_alpha
#define png_do_read_transformations sk_png_do_read_transformations
#define png_do_rgb_to_gray sk_png_do_rgb_to_gray
#define png_do_scale_16_to_8 sk_png_do_scale_16_to_8
#define png_do_shift sk_png_do_shift
#define png_do_strip_channel sk_png_do_strip_channel
#define png_do_swap sk_png_do_swap
#define png_do_unpack sk_png_do_unpack
#define png_do_unshift sk_png_do_unshift
#define png_do_write_interlace sk_png_do_write_interlace
#define png_do_write_intrapixel sk_png_do_write_intrapixel
#define png_do_write_invert_alpha sk_png_do_write_invert_alpha
#define png_do_write_swap_alpha sk_png_do_write_swap_alpha
#define png_do_write_transformations sk_png_do_write_transformations
#define png_error sk_png_error
#define png_fixed sk_png_fixed
#define png_fixed_error sk_png_fixed_error
#define png_flush sk_png_flush
#define png_format_number sk_png_format_number
#define png_formatted_warning sk_png_formatted_warning
#define png_free sk_png_free
#define png_free_buffer_list sk_png_free_buffer_list
#define png_free_data sk_png_free_data
#define png_free_default sk_png_free_default
#define png_free_jmpbuf sk_png_free_jmpbuf
#define png_gamma_16bit_correct sk_png_gamma_16bit_correct
#define png_gamma_8bit_correct sk_png_gamma_8bit_correct
#define png_gamma_correct sk_png_gamma_correct
#define png_gamma_significant sk_png_gamma_significant
#define png_get_IHDR sk_png_get_IHDR
#define png_get_PLTE sk_png_get_PLTE
#define png_get_bKGD sk_png_get_bKGD
#define png_get_bit_depth sk_png_get_bit_depth
#define png_get_cHRM sk_png_get_cHRM
#define png_get_cHRM_XYZ sk_png_get_cHRM_XYZ
#define png_get_cHRM_XYZ_fixed sk_png_get_cHRM_XYZ_fixed
#define png_get_cHRM_fixed sk_png_get_cHRM_fixed
#define png_get_channels sk_png_get_channels
#define png_get_chunk_cache_max sk_png_get_chunk_cache_max
#define png_get_chunk_malloc_max sk_png_get_chunk_malloc_max
#define png_get_color_type sk_png_get_color_type
#define png_get_compression_buffer_size sk_png_get_compression_buffer_size
#define png_get_compression_type sk_png_get_compression_type
#define png_get_copyright sk_png_get_copyright
#define png_get_current_pass_number sk_png_get_current_pass_number
#define png_get_current_row_number sk_png_get_current_row_number
#define png_get_eXIf sk_png_get_eXIf
#define png_get_eXIf_1 sk_png_get_eXIf_1
#define png_get_error_ptr sk_png_get_error_ptr
#define png_get_filter_type sk_png_get_filter_type
#define png_get_gAMA sk_png_get_gAMA
#define png_get_gAMA_fixed sk_png_get_gAMA_fixed
#define png_get_hIST sk_png_get_hIST
#define png_get_header_ver sk_png_get_header_ver
#define png_get_header_version sk_png_get_header_version
#define png_get_iCCP sk_png_get_iCCP
#define png_get_image_height sk_png_get_image_height
#define png_get_image_width sk_png_get_image_width
#define png_get_int_32 sk_png_get_int_32
#define png_get_interlace_type sk_png_get_interlace_type
#define png_get_io_chunk_type sk_png_get_io_chunk_type
#define png_get_io_ptr sk_png_get_io_ptr
#define png_get_io_state sk_png_get_io_state
#define png_get_libpng_ver sk_png_get_libpng_ver
#define png_get_mem_ptr sk_png_get_mem_ptr
#define png_get_oFFs sk_png_get_oFFs
#define png_get_pCAL sk_png_get_pCAL
#define png_get_pHYs sk_png_get_pHYs
#define png_get_pHYs_dpi sk_png_get_pHYs_dpi
#define png_get_palette_max sk_png_get_palette_max
#define png_get_pixel_aspect_ratio sk_png_get_pixel_aspect_ratio
#define png_get_pixel_aspect_ratio_fixed sk_png_get_pixel_aspect_ratio_fixed
#define png_get_pixels_per_inch sk_png_get_pixels_per_inch
#define png_get_pixels_per_meter sk_png_get_pixels_per_meter
#define png_get_progressive_ptr sk_png_get_progressive_ptr
#define png_get_rgb_to_gray_status sk_png_get_rgb_to_gray_status
#define png_get_rowbytes sk_png_get_rowbytes
#define png_get_rows sk_png_get_rows
#define png_get_sBIT sk_png_get_sBIT
#define png_get_sCAL sk_png_get_sCAL
#define png_get_sCAL_fixed sk_png_get_sCAL_fixed
#define png_get_sCAL_s sk_png_get_sCAL_s
#define png_get_sPLT sk_png_get_sPLT
#define png_get_sRGB sk_png_get_sRGB
#define png_get_signature sk_png_get_signature
#define png_get_tIME sk_png_get_tIME
#define png_get_tRNS sk_png_get_tRNS
#define png_get_text sk_png_get_text
#define png_get_uint_16 sk_png_get_uint_16
#define png_get_uint_31 sk_png_get_uint_31
#define png_get_uint_32 sk_png_get_uint_32
#define png_get_unknown_chunks sk_png_get_unknown_chunks
#define png_get_user_chunk_ptr sk_png_get_user_chunk_ptr
#define png_get_user_height_max sk_png_get_user_height_max
#define png_get_user_transform_ptr sk_png_get_user_transform_ptr
#define png_get_user_width_max sk_png_get_user_width_max
#define png_get_valid sk_png_get_valid
#define png_get_x_offset_inches sk_png_get_x_offset_inches
#define png_get_x_offset_inches_fixed sk_png_get_x_offset_inches_fixed
#define png_get_x_offset_microns sk_png_get_x_offset_microns
#define png_get_x_offset_pixels sk_png_get_x_offset_pixels
#define png_get_x_pixels_per_inch sk_png_get_x_pixels_per_inch
#define png_get_x_pixels_per_meter sk_png_get_x_pixels_per_meter
#define png_get_y_offset_inches sk_png_get_y_offset_inches
#define png_get_y_offset_inches_fixed sk_png_get_y_offset_inches_fixed
#define png_get_y_offset_microns sk_png_get_y_offset_microns
#define png_get_y_offset_pixels sk_png_get_y_offset_pixels
#define png_get_y_pixels_per_inch sk_png_get_y_pixels_per_inch
#define png_get_y_pixels_per_meter sk_png_get_y_pixels_per_meter
#define png_handle_IEND sk_png_handle_IEND
#define png_handle_IHDR sk_png_handle_IHDR
#define png_handle_PLTE sk_png_handle_PLTE
#define png_handle_as_unknown sk_png_handle_as_unknown
#define png_handle_bKGD sk_png_handle_bKGD
#define png_handle_cHRM sk_png_handle_cHRM
#define png_handle_gAMA sk_png_handle_gAMA
#define png_handle_hIST sk_png_handle_hIST
#define png_handle_iCCP sk_png_handle_iCCP
#define png_handle_iTXt sk_png_handle_iTXt
#define png_handle_oFFs sk_png_handle_oFFs
#define png_handle_pCAL sk_png_handle_pCAL
#define png_handle_pHYs sk_png_handle_pHYs
#define png_handle_sBIT sk_png_handle_sBIT
#define png_handle_sCAL sk_png_handle_sCAL
#define png_handle_sPLT sk_png_handle_sPLT
#define png_handle_sRGB sk_png_handle_sRGB
#define png_handle_tEXt sk_png_handle_tEXt
#define png_handle_tIME sk_png_handle_tIME
#define png_handle_tRNS sk_png_handle_tRNS
#define png_handle_unknown sk_png_handle_unknown
#define png_handle_zTXt sk_png_handle_zTXt
#define png_icc_check_header sk_png_icc_check_header
#define png_icc_check_length sk_png_icc_check_length
#define png_icc_check_tag_table sk_png_icc_check_tag_table
#define png_icc_set_sRGB sk_png_icc_set_sRGB
#define png_image_begin_read_from_file sk_png_image_begin_read_from_file
#define png_image_begin_read_from_memory sk_png_image_begin_read_from_memory
#define png_image_begin_read_from_stdio sk_png_image_begin_read_from_stdio
#define png_image_error sk_png_image_error
#define png_image_finish_read sk_png_image_finish_read
#define png_image_free sk_png_image_free
#define png_image_write_to_file sk_png_image_write_to_file
#define png_image_write_to_memory sk_png_image_write_to_memory
#define png_image_write_to_stdio sk_png_image_write_to_stdio
#define png_info_init_3 sk_png_info_init_3
#define png_init_filter_functions_neon sk_png_init_filter_functions_neon
#define png_init_filter_functions_sse2 sk_png_init_filter_functions_sse2
#define png_init_io sk_png_init_io
#define png_init_read_transformations sk_png_init_read_transformations
#define png_longjmp sk_png_longjmp
#define png_malloc sk_png_malloc
#define png_malloc_array sk_png_malloc_array
#define png_malloc_base sk_png_malloc_base
#define png_malloc_default sk_png_malloc_default
#define png_malloc_warn sk_png_malloc_warn
#define png_muldiv sk_png_muldiv
#define png_muldiv_warn sk_png_muldiv_warn
#define png_permit_mng_features sk_png_permit_mng_features
#define png_process_IDAT_data sk_png_process_IDAT_data
#define png_process_data sk_png_process_data
#define png_process_data_pause sk_png_process_data_pause
#define png_process_data_skip sk_png_process_data_skip
#define png_process_some_data sk_png_process_some_data
#define png_progressive_combine_row sk_png_progressive_combine_row
#define png_push_check_crc sk_png_push_check_crc
#define png_push_crc_finish sk_png_push_crc_finish
#define png_push_crc_skip sk_png_push_crc_skip
#define png_push_fill_buffer sk_png_push_fill_buffer
#define png_push_handle_iTXt sk_png_push_handle_iTXt
#define png_push_handle_tEXt sk_png_push_handle_tEXt
#define png_push_handle_unknown sk_png_push_handle_unknown
#define png_push_handle_zTXt sk_png_push_handle_zTXt
#define png_push_have_end sk_png_push_have_end
#define png_push_have_info sk_png_push_have_info
#define png_push_have_row sk_png_push_have_row
#define png_push_process_row sk_png_push_process_row
#define png_push_read_IDAT sk_png_push_read_IDAT
#define png_push_read_chunk sk_png_push_read_chunk
#define png_push_read_end sk_png_push_read_end
#define png_push_read_iTXt sk_png_push_read_iTXt
#define png_push_read_sig sk_png_push_read_sig
#define png_push_read_tEXt sk_png_push_read_tEXt
#define png_push_read_zTXt sk_png_push_read_zTXt
#define png_push_restore_buffer sk_png_push_restore_buffer
#define png_push_save_buffer sk_png_push_save_buffer
#define png_read_IDAT_data sk_png_read_IDAT_data
#define png_read_chunk_header sk_png_read_chunk_header
#define png_read_data sk_png_read_data
#define png_read_end sk_png_read_end
#define png_read_filter_row sk_png_read_filter_row
#define png_read_filter_row_avg3_neon sk_png_read_filter_row_avg3_neon
#define png_read_filter_row_avg3_sse2 sk_png_read_filter_row_avg3_sse2
#define png_read_filter_row_avg4_neon sk_png_read_filter_row_avg4_neon
#define png_read_filter_row_avg4_sse2 sk_png_read_filter_row_avg4_sse2
#define png_read_filter_row_paeth3_neon sk_png_read_filter_row_paeth3_neon
#define png_read_filter_row_paeth3_sse2 sk_png_read_filter_row_paeth3_sse2
#define png_read_filter_row_paeth4_neon sk_png_read_filter_row_paeth4_neon
#define png_read_filter_row_paeth4_sse2 sk_png_read_filter_row_paeth4_sse2
#define png_read_filter_row_sub3_neon sk_png_read_filter_row_sub3_neon
#define png_read_filter_row_sub3_sse2 sk_png_read_filter_row_sub3_sse2
#define png_read_filter_row_sub4_neon sk_png_read_filter_row_sub4_neon
#define png_read_filter_row_sub4_sse2 sk_png_read_filter_row_sub4_sse2
#define png_read_filter_row_up_neon sk_png_read_filter_row_up_neon
#define png_read_finish_IDAT sk_png_read_finish_IDAT
#define png_read_finish_row sk_png_read_finish_row
#define png_read_image sk_png_read_image
#define png_read_info sk_png_read_info
#define png_read_png sk_png_read_png
#define png_read_push_finish_row sk_png_read_push_finish_row
#define png_read_row sk_png_read_row
#define png_read_rows sk_png_read_rows
#define png_read_sig sk_png_read_sig
#define png_read_start_row sk_png_read_start_row
#define png_read_transform_info sk_png_read_transform_info
#define png_read_update_info sk_png_read_update_info
#define png_realloc_array sk_png_realloc_array
#define png_reciprocal sk_png_reciprocal
#define png_reciprocal2 sk_png_reciprocal2
#define png_reset_crc sk_png_reset_crc
#define png_reset_zstream sk_png_reset_zstream
#define png_riffle_palette_rgba sk_png_riffle_palette_rgba
#define png_sRGB_base sk_png_sRGB_base
#define png_sRGB_delta sk_png_sRGB_delta
#define png_sRGB_table sk_png_sRGB_table
#define png_safe_error sk_png_safe_error
#define png_safe_execute sk_png_safe_execute
#define png_safe_warning sk_png_safe_warning
#define png_safecat sk_png_safecat
#define png_save_int_32 sk_png_save_int_32
#define png_save_uint_16 sk_png_save_uint_16
#define png_save_uint_32 sk_png_save_uint_32
#define png_set_IHDR sk_png_set_IHDR
#define png_set_PLTE sk_png_set_PLTE
#define png_set_add_alpha sk_png_set_add_alpha
#define png_set_alpha_mode sk_png_set_alpha_mode
#define png_set_alpha_mode_fixed sk_png_set_alpha_mode_fixed
#define png_set_bKGD sk_png_set_bKGD
#define png_set_background sk_png_set_background
#define png_set_background_fixed sk_png_set_background_fixed
#define png_set_benign_errors sk_png_set_benign_errors
#define png_set_bgr sk_png_set_bgr
#define png_set_cHRM sk_png_set_cHRM
#define png_set_cHRM_XYZ sk_png_set_cHRM_XYZ
#define png_set_cHRM_XYZ_fixed sk_png_set_cHRM_XYZ_fixed
#define png_set_cHRM_fixed sk_png_set_cHRM_fixed
#define png_set_check_for_invalid_index sk_png_set_check_for_invalid_index
#define png_set_chunk_cache_max sk_png_set_chunk_cache_max
#define png_set_chunk_malloc_max sk_png_set_chunk_malloc_max
#define png_set_compression_buffer_size sk_png_set_compression_buffer_size
#define png_set_compression_level sk_png_set_compression_level
#define png_set_compression_mem_level sk_png_set_compression_mem_level
#define png_set_compression_method sk_png_set_compression_method
#define png_set_compression_strategy sk_png_set_compression_strategy
#define png_set_compression_window_bits sk_png_set_compression_window_bits
#define png_set_crc_action sk_png_set_crc_action
#define png_set_eXIf sk_png_set_eXIf
#define png_set_eXIf_1 sk_png_set_eXIf_1
#define png_set_error_fn sk_png_set_error_fn
#define png_set_expand sk_png_set_expand
#define png_set_expand_16 sk_png_set_expand_16
#define png_set_expand_gray_1_2_4_to_8 sk_png_set_expand_gray_1_2_4_to_8
#define png_set_filler sk_png_set_filler
#define png_set_filter sk_png_set_filter
#define png_set_filter_heuristics sk_png_set_filter_heuristics
#define png_set_filter_heuristics_fixed sk_png_set_filter_heuristics_fixed
#define png_set_flush sk_png_set_flush
#define png_set_gAMA sk_png_set_gAMA
#define png_set_gAMA_fixed sk_png_set_gAMA_fixed
#define png_set_gamma sk_png_set_gamma
#define png_set_gamma_fixed sk_png_set_gamma_fixed
#define png_set_gray_to_rgb sk_png_set_gray_to_rgb
#define png_set_hIST sk_png_set_hIST
#define png_set_iCCP sk_png_set_iCCP
#define png_set_interlace_handling sk_png_set_interlace_handling
#define png_set_invalid sk_png_set_invalid
#define png_set_invert_alpha sk_png_set_invert_alpha
#define png_set_invert_mono sk_png_set_invert_mono
#define png_set_keep_unknown_chunks sk_png_set_keep_unknown_chunks
#define png_set_longjmp_fn sk_png_set_longjmp_fn
#define png_set_mem_fn sk_png_set_mem_fn
#define png_set_oFFs sk_png_set_oFFs
#define png_set_option sk_png_set_option
#define png_set_pCAL sk_png_set_pCAL
#define png_set_pHYs sk_png_set_pHYs
#define png_set_packing sk_png_set_packing
#define png_set_packswap sk_png_set_packswap
#define png_set_palette_to_rgb sk_png_set_palette_to_rgb
#define png_set_progressive_read_fn sk_png_set_progressive_read_fn
#define png_set_quantize sk_png_set_quantize
#define png_set_read_fn sk_png_set_read_fn
#define png_set_read_status_fn sk_png_set_read_status_fn
#define png_set_read_user_chunk_fn sk_png_set_read_user_chunk_fn
#define png_set_read_user_transform_fn sk_png_set_read_user_transform_fn
#define png_set_rgb_to_gray sk_png_set_rgb_to_gray
#define png_set_rgb_to_gray_fixed sk_png_set_rgb_to_gray_fixed
#define png_set_rows sk_png_set_rows
#define png_set_sBIT sk_png_set_sBIT
#define png_set_sCAL sk_png_set_sCAL
#define png_set_sCAL_fixed sk_png_set_sCAL_fixed
#define png_set_sCAL_s sk_png_set_sCAL_s
#define png_set_sPLT sk_png_set_sPLT
#define png_set_sRGB sk_png_set_sRGB
#define png_set_sRGB_gAMA_and_cHRM sk_png_set_sRGB_gAMA_and_cHRM
#define png_set_scale_16 sk_png_set_scale_16
#define png_set_shift sk_png_set_shift
#define png_set_sig_bytes sk_png_set_sig_bytes
#define png_set_strip_16 sk_png_set_strip_16
#define png_set_strip_alpha sk_png_set_strip_alpha
#define png_set_swap sk_png_set_swap
#define png_set_swap_alpha sk_png_set_swap_alpha
#define png_set_tIME sk_png_set_tIME
#define png_set_tRNS sk_png_set_tRNS
#define png_set_tRNS_to_alpha sk_png_set_tRNS_to_alpha
#define png_set_text sk_png_set_text
#define png_set_text_2 sk_png_set_text_2
#define png_set_text_compression_level sk_png_set_text_compression_level
#define png_set_text_compression_mem_level sk_png_set_text_compression_mem_level
#define png_set_text_compression_method sk_png_set_text_compression_method
#define png_set_text_compression_strategy sk_png_set_text_compression_strategy
#define png_set_text_compression_window_bits sk_png_set_text_compression_window_bits
#define png_set_unknown_chunk_location sk_png_set_unknown_chunk_location
#define png_set_unknown_chunks sk_png_set_unknown_chunks
#define png_set_user_limits sk_png_set_user_limits
#define png_set_user_transform_info sk_png_set_user_transform_info
#define png_set_write_fn sk_png_set_write_fn
#define png_set_write_status_fn sk_png_set_write_status_fn
#define png_set_write_user_transform_fn sk_png_set_write_user_transform_fn
#define png_sig_cmp sk_png_sig_cmp
#define png_start_read_image sk_png_start_read_image
#define png_user_version_check sk_png_user_version_check
#define png_warning sk_png_warning
#define png_warning_parameter sk_png_warning_parameter
#define png_warning_parameter_signed sk_png_warning_parameter_signed
#define png_warning_parameter_unsigned sk_png_warning_parameter_unsigned
#define png_write_IEND sk_png_write_IEND
#define png_write_IHDR sk_png_write_IHDR
#define png_write_PLTE sk_png_write_PLTE
#define png_write_bKGD sk_png_write_bKGD
#define png_write_cHRM_fixed sk_png_write_cHRM_fixed
#define png_write_chunk sk_png_write_chunk
#define png_write_chunk_data sk_png_write_chunk_data
#define png_write_chunk_end sk_png_write_chunk_end
#define png_write_chunk_start sk_png_write_chunk_start
#define png_write_data sk_png_write_data
#define png_write_end sk_png_write_end
#define png_write_find_filter sk_png_write_find_filter
#define png_write_finish_row sk_png_write_finish_row
#define png_write_flush sk_png_write_flush
#define png_write_gAMA_fixed sk_png_write_gAMA_fixed
#define png_write_hIST sk_png_write_hIST
#define png_write_iCCP sk_png_write_iCCP
#define png_write_iTXt sk_png_write_iTXt
#define png_write_image sk_png_write_image
#define png_write_info sk_png_write_info
#define png_write_info_before_PLTE sk_png_write_info_before_PLTE
#define png_write_oFFs sk_png_write_oFFs
#define png_write_pCAL sk_png_write_pCAL
#define png_write_pHYs sk_png_write_pHYs
#define png_write_png sk_png_write_png
#define png_write_row sk_png_write_row
#define png_write_rows sk_png_write_rows
#define png_write_sBIT sk_png_write_sBIT
#define png_write_sCAL_s sk_png_write_sCAL_s
#define png_write_sPLT sk_png_write_sPLT
#define png_write_sRGB sk_png_write_sRGB
#define png_write_sig sk_png_write_sig
#define png_write_start_row sk_png_write_start_row
#define png_write_tEXt sk_png_write_tEXt
#define png_write_tIME sk_png_write_tIME
#define png_write_tRNS sk_png_write_tRNS
#define png_write_zTXt sk_png_write_zTXt
#define png_zalloc sk_png_zalloc
#define png_zfree sk_png_zfree
#define png_zlib_inflate sk_png_zlib_inflate
#define png_zstream_error sk_png_zstream_error
#define png_write_eXIf sk_png_write_eXIf
#define png_handle_eXIf sk_png_handle_eXIf
#endif // PNGPREFIX_H
